<?php
if(!isset($_SESSION['cart'])){
	$_SESSION['cart']=array();
}

while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
	extract($row);

	// creating box
	echo "<div class='col-md-4 m-b-20px'>";

		// product id for javascript access
		echo "<div class='product-id display-none'>{$id}</div>";

		echo "<a href='product.php?id={$id}' class='product-link'>";
			// select and show first product image
			$product_image->product_id=$id;
			$stmt_product_image=$product_image->readFirst();

			while ($row_product_image = $stmt_product_image->fetch(PDO::FETCH_ASSOC)){
				echo "<div class='m-b-10px'>";
					echo "<img src='uploads/images/{$row_product_image['name']}' class='w-100-pct' />";
				echo "</div>";
			}

			// product name
			echo "<div class='product-name m-b-10px'>{$name}</div>";
		echo "</a>";
		
		// product price and category name
		if($stock>0){
			echo "<div class='m-b-10px'>";
				echo "&#36;" . number_format($price, 2, '.', ',') . " / " . $category_name . " / ";
				echo "<span class='stock-text'>Only {$stock} stocks left.</span>";
			echo "</div>";

			// add to cart button
			echo "<div class='m-b-10px'>";
				// if product was already added in the cart
				if(array_key_exists($id, $_SESSION['cart'])){
					echo "<a href='cart.php' class='btn btn-success w-100-pct'>";
						echo "Update Cart";
					echo "</a>";
				}else{
					echo "<a href='add_to_cart.php?id={$id}&page={$page}' class='btn btn-primary w-100-pct'>Add to Cart</a>";
				}
			echo "</div>";

		}

		// if out of stock
		else if($stock==0){
			echo "<div class='m-b-10px'>";
				echo "&#36;" . number_format($price, 2, '.', ',') . " / " . $category_name . " / ";
				echo "<span class='stock-text-red'>Out of stock.</span>";
			echo "</div>";
			echo "<div class='m-b-10px'>";
				echo "<a href='product.php?id={$id}' class='btn btn-info w-100-pct'>";
					echo "View Product";
				echo "</a>";
			echo "</div>";
		}
		

	echo "</div>";
}

include_once "paging.php";
?>
